Subject: Unknown bit in XID3 from CM/2?

From: "Steven H. Berl" <[email-masked]>
Date: Fri, 19 Jan 1996 15:49:51 -0800

I have been doing some work on our XID3 handling and noticed a bit
that is defined as reserved in all my refernces, but is being set in
XID3 sent from a CM/2 network node.

I was wondering if anyone could tell me what XID3 byte 24 bit 7 means?
It is the byte with the SIM/RIM supported option in bit 2.

I have included a bit of sniffer output below.

Thanks in advance,

Steve Berl
Cisco Systems, Inc.

- - - - - - - - - - - - - - - - Frame 137 - - - - - - - - - - - - - - - - -

SUMMARY  Delta T     Destination   Source        Summary
   137    0.003   CPAC            Madge 4057D0     SNA XID Fmt 3 T2 NETA.FRAME1

SNA:  ----- XID (Exchange Information) -----
SNA:  
SNA:  XID format = 3, type = 2
SNA:  Length of I-field = 96
SNA:  Node ID = Block number 05D, ID number 00000
SNA:  Node characteristics = 80
SNA:             1... .... = INIT-SELF cannot be sent
SNA:             .0.. .... = BIND may be sent without prior INIT-SELF
SNA:             ..0. .... = Node can generate BIND PIU segments
SNA:             ...0 .... = Node can receive BIND PIU segments
SNA:  Node characteristics = F8
SNA:             1... .... = ACTPU for an SSCP-PU session not requested
SNA:             .... 10.. = Exchange state: Pre-negotiation exchange
SNA:  BIND pacing support = C1
SNA:            1... .... = Adaptive BIND pacing as a BIND sender supported
SNA:            .1.. .... = Adaptive BIND pacing as a BIND receiver supported
SNA:  DLC type = 1 (SDLC)
SNA:  Length of DLC dependent section = 11 bytes
SNA:  Link station flags = 71
SNA:           .1.. .... = Sender can be an ABM combined station
SNA:           ..11 .... = Sender as primary/secondary is negotiable
SNA:           .... ..01 = Two-way simultaneous transmit-receive
SNA:  Maximum receivable I-field length = 1929 bytes
SNA:  SDLC profile = SNA link station
SNA:  SDLC initialization mode options = 01
SNA:                         ..0. .... = SIM and RIM not supported
SNA:  Maximum number of outstanding I-frames = 4
SNA:  Control Vector = 0E (Network Name),  Length = 12
SNA:    Network name type = '4' (CP)
SNA:    Network name = "NETA.FRAME1"
SNA:  Control Vector = 0E (Network Name),  Length = 9
SNA:    Network name type = '7' (Link station)
SNA:    Network name = "LINK0001"
SNA:  Control Vector = 10 (Product Set ID),  Length = 40
SNA:    Network Product ID = "......562125400210......8565000000000000"
SNA:  

ADDR  HEX                                                EBCDIC
0000  10 40 40 00 10 60 10 00  80 00 F6 40 57 D0 06 40  .  ..-....6 .}. 
0010  04 71 00 10 04 04 BF 32  60 05 D0 00 00 00 00 80  ........-.}.....
0020  F8 C1 00 00 00 00 80 00  01 0B 71 00 07 89 00 01  8A...........i..
0030  00 00 04 00 0E 0C F4 D5  C5 E3 C1 4B C6 D9 C1 D4  ......4NETA.FRAM
0040  C5 F1 0E 09 F7 D3 C9 D5  D2 F0 F0 F0 F1 10 28 00  E1..7LINK0001...
0050  11 11 04 0E 02 F5 F6 F2  F1 F2 F5 F4 F0 F0 F2 F1  .....56212540021
0060  F0 16 11 03 13 00 11 F8  F5 F6 F5 F0 F0 F0 F0 F0  0......856500000
0070  F0 F0 F0 F0 F0 F0 F0                              0000000